### Method

# FwupdPlugin Device add_instance_id

since: 1.2.5

#### Declaration [src]

    void
    fu_device_add_instance_id (
      FuDevice* self,
      const gchar* instance_id
    )

#### Description [src]

Adds an visible, quirked, instance ID to the device.

Available since: 1.2.5

#### Parameters

`instance_id`

  Type: `const gchar*`

  The instance ID, e.g. `PCI\VEN_10EC&DEV_525A`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.